document.addEventListener('DOMContentLoaded', () => {
  // Add domestic flight
  const addDomesticFlight = document.getElementById('add-domestic-flight');
  const domesticFlightsContainer = document.querySelector('.domestic-flights-container');
  
  addDomesticFlight.addEventListener('click', () => {
    const flightElement = document.createElement('div');
    flightElement.className = 'domestic-flight';
    flightElement.innerHTML = `
      <input type="date" placeholder="Flight Date">
      <input type="text" placeholder="From">
      <input type="text" placeholder="To">
      <button class="remove-flight">×</button>
    `;
    domesticFlightsContainer.appendChild(flightElement);
  });

  // Add accommodation
  const addAccommodation = document.getElementById('add-accommodation');
  const accommodationGrid = document.querySelector('.accommodation-grid');
  
  addAccommodation.addEventListener('click', () => {
    const accommodationElement = document.createElement('div');
    accommodationElement.className = 'accommodation-card';
    accommodationElement.innerHTML = `
      <input type="date" placeholder="Check-in">
      <input type="date" placeholder="Check-out">
      <input type="text" placeholder="Location">
      <input type="text" placeholder="Hotel/Resort Name">
      <button class="remove-accommodation">×</button>
    `;
    accommodationGrid.appendChild(accommodationElement);
  });

  // Task Management
  const addTask = document.getElementById('add-task');
  const taskList = document.querySelector('.task-list');
  
  addTask.addEventListener('click', () => {
    const taskInput = document.getElementById('new-task');
    const assigneeInput = document.getElementById('task-assignee');
    
    if (taskInput.value.trim()) {
      const taskElement = document.createElement('div');
      taskElement.className = 'task-item';
      taskElement.innerHTML = `
        <input type="checkbox">
        <span>${taskInput.value}</span>
        <span class="assignee">${assigneeInput.value}</span>
        <button class="remove-task">×</button>
      `;
      taskList.appendChild(taskElement);
      taskInput.value = '';
    }
  });

  // Share functionality
  const copyLink = document.getElementById('copy-link');
  const shareLink = document.getElementById('share-link');
  
  copyLink.addEventListener('click', () => {
    shareLink.select();
    document.execCommand('copy');
    copyLink.textContent = 'Copied!';
    setTimeout(() => {
      copyLink.textContent = 'Copy Link';
    }, 2000);
  });

  // Event delegation for remove buttons
  document.addEventListener('click', (e) => {
    if (e.target.classList.contains('remove-flight')) {
      e.target.parentElement.remove();
    }
    if (e.target.classList.contains('remove-accommodation')) {
      e.target.parentElement.remove();
    }
    if (e.target.classList.contains('remove-task')) {
      e.target.parentElement.remove();
    }
  });
});